%% Show the saved results
global XS2 WS2 XXS2 XXL2 XXR2 XXSM2 XXSL2 XXSR2 Special
global ling2_11 ling2_12 ling2_13 ling2_14
global ling2_21 ling2_22 ling2_23 ling2_24
global ling2_31 ling2_32 ling2_33 ling2_34
global ling2_41 ling2_42 ling2_43 ling2_44
global ling2_51 ling2_52 ling2_53 ling2_54
global ling2_61 ling2_62 ling2_63 ling2_64
global rank2_1 rank2_2 rank2_3 rank2_4 rank2_5
global cen2_1 cen2_2 cen2_3 cen2_4 cen2_5
global sim2_11 sim2_12 sim2_13 sim2_14 sim2_15
global sim2_21 sim2_22 sim2_23 sim2_24 sim2_25
global sim2_31 sim2_32 sim2_33 sim2_34 sim2_35
global sim2_41 sim2_42 sim2_43 sim2_44 sim2_45
global sim2_51 sim2_52 sim2_53 sim2_54 sim2_55


%% Linguistic Ratings and Weights
set(findobj(hObject,'Tag','edit2_11'),'string', ling2_11);
set(findobj(hObject,'Tag','edit2_12'),'string', ling2_12);
set(findobj(hObject,'Tag','edit2_13'),'string', ling2_13);
set(findobj(hObject,'Tag','edit2_14'),'string', ling2_14);

set(findobj(hObject,'Tag','edit2_21'),'string', ling2_21);
set(findobj(hObject,'Tag','edit2_22'),'string', ling2_22);
set(findobj(hObject,'Tag','edit2_23'),'string', ling2_23);
set(findobj(hObject,'Tag','edit2_24'),'string', ling2_24);

set(findobj(hObject,'Tag','edit2_31'),'string', ling2_31);
set(findobj(hObject,'Tag','edit2_32'),'string', ling2_32);
set(findobj(hObject,'Tag','edit2_33'),'string', ling2_33);
set(findobj(hObject,'Tag','edit2_34'),'string', ling2_34);

set(findobj(hObject,'Tag','edit2_41'),'string', ling2_41);
set(findobj(hObject,'Tag','edit2_42'),'string', ling2_42);
set(findobj(hObject,'Tag','edit2_43'),'string', ling2_43);
set(findobj(hObject,'Tag','edit2_44'),'string', ling2_44);

set(findobj(hObject,'Tag','edit2_51'),'string', ling2_51);
set(findobj(hObject,'Tag','edit2_52'),'string', ling2_52);
set(findobj(hObject,'Tag','edit2_53'),'string', ling2_53);
set(findobj(hObject,'Tag','edit2_54'),'string', ling2_54);

set(findobj(hObject,'Tag','edit2_61'),'string', ling2_61);
set(findobj(hObject,'Tag','edit2_62'),'string', ling2_62);
set(findobj(hObject,'Tag','edit2_63'),'string', ling2_63);
set(findobj(hObject,'Tag','edit2_64'),'string', ling2_64);

%% Rank & Centroid
set(findobj(hObject,'Tag','edit2_rank1'),'string', rank2_1);
set(findobj(hObject,'Tag','edit2_rank2'),'string', rank2_2);
set(findobj(hObject,'Tag','edit2_rank3'),'string', rank2_3);
set(findobj(hObject,'Tag','edit2_rank4'),'string', rank2_4);
set(findobj(hObject,'Tag','edit2_rank5'),'string', rank2_5);

set(findobj(hObject,'Tag','edit2_cen1'),'string', num2str(cen2_1,'%1.2f'));
set(findobj(hObject,'Tag','edit2_cen2'),'string', num2str(cen2_2,'%1.2f'));
set(findobj(hObject,'Tag','edit2_cen3'),'string', num2str(cen2_3,'%1.2f'));
set(findobj(hObject,'Tag','edit2_cen4'),'string', num2str(cen2_4,'%1.2f'));
set(findobj(hObject,'Tag','edit2_cen5'),'string', num2str(cen2_5,'%1.2f'));

%% Similarity
set(findobj(hObject,'Tag','edit2_sim11'),'string', num2str(sim2_11,'%1.2f'));
set(findobj(hObject,'Tag','edit2_sim12'),'string', num2str(sim2_12,'%1.2f'));
set(findobj(hObject,'Tag','edit2_sim13'),'string', num2str(sim2_13,'%1.2f'));
set(findobj(hObject,'Tag','edit2_sim14'),'string', num2str(sim2_14,'%1.2f'));
set(findobj(hObject,'Tag','edit2_sim15'),'string', num2str(sim2_15,'%1.2f'));

set(findobj(hObject,'Tag','edit2_sim21'),'string', num2str(sim2_21,'%1.2f'));
set(findobj(hObject,'Tag','edit2_sim22'),'string', num2str(sim2_22,'%1.2f'));
set(findobj(hObject,'Tag','edit2_sim23'),'string', num2str(sim2_23,'%1.2f'));
set(findobj(hObject,'Tag','edit2_sim24'),'string', num2str(sim2_24,'%1.2f'));
set(findobj(hObject,'Tag','edit2_sim25'),'string', num2str(sim2_25,'%1.2f'));

set(findobj(hObject,'Tag','edit2_sim31'),'string', num2str(sim2_31,'%1.2f'));
set(findobj(hObject,'Tag','edit2_sim32'),'string', num2str(sim2_32,'%1.2f'));
set(findobj(hObject,'Tag','edit2_sim33'),'string', num2str(sim2_33,'%1.2f'));
set(findobj(hObject,'Tag','edit2_sim34'),'string', num2str(sim2_34,'%1.2f'));
set(findobj(hObject,'Tag','edit2_sim35'),'string', num2str(sim2_35,'%1.2f'));

set(findobj(hObject,'Tag','edit2_sim41'),'string', num2str(sim2_41,'%1.2f'));
set(findobj(hObject,'Tag','edit2_sim42'),'string', num2str(sim2_42,'%1.2f'));
set(findobj(hObject,'Tag','edit2_sim43'),'string', num2str(sim2_43,'%1.2f'));
set(findobj(hObject,'Tag','edit2_sim44'),'string', num2str(sim2_44,'%1.2f'));
set(findobj(hObject,'Tag','edit2_sim45'),'string', num2str(sim2_45,'%1.2f'));

set(findobj(hObject,'Tag','edit2_sim51'),'string', num2str(sim2_51,'%1.2f'));
set(findobj(hObject,'Tag','edit2_sim52'),'string', num2str(sim2_52,'%1.2f'));
set(findobj(hObject,'Tag','edit2_sim53'),'string', num2str(sim2_53,'%1.2f'));
set(findobj(hObject,'Tag','edit2_sim54'),'string', num2str(sim2_54,'%1.2f'));
set(findobj(hObject,'Tag','edit2_sim55'),'string', num2str(sim2_55,'%1.2f'));


%% Figures - Rank & Risk Band
%% RANK BAND
cla(handles.axes2_rankband1);
cla(handles.axes2_rankband2);
cla(handles.axes2_rankband3);
cla(handles.axes2_rankband4);
cla(handles.axes2_rankband5);
cla(handles.axes2_riskband1);
cla(handles.axes2_riskband2);
cla(handles.axes2_riskband3);
cla(handles.axes2_riskband4);
cla(handles.axes2_riskband5);


for i=1:5
    switch i
        case 1
            axes(handles.axes2_rankband1);
            set(handles.axes2_rankband1, 'Visible', 'on');
        case 2
            axes(handles.axes2_rankband2);
            set(handles.axes2_rankband2, 'Visible', 'on');
        case 3
            axes(handles.axes2_rankband3);
            set(handles.axes2_rankband3, 'Visible', 'on');
        case 4
            axes(handles.axes2_rankband4);
            set(handles.axes2_rankband4, 'Visible', 'on');
        case 5
            axes(handles.axes2_rankband5);
            set(handles.axes2_rankband5, 'Visible', 'on');
    end
    plot(XXS2(6-i),1,'r*', 'linewidth', 2); hold on; grid on;
    plot([XXL2(6-i) XXR2(6-i)],[1 1], 'r-','linewidth',1.5); hold on;
    axis tight
    axis on
    set(gca,'ytick',[]);
    axis([0,10,0.5,1.5]);
end
%% Risk Band

for i=1:5
    switch i
        case 1
            axes(handles.axes2_riskband1);
            set(handles.axes2_riskband1, 'Visible', 'on');
        case 2
            axes(handles.axes2_riskband2);
            set(handles.axes2_riskband2, 'Visible', 'on');
        case 3
            axes(handles.axes2_riskband3);
            set(handles.axes2_riskband3, 'Visible', 'on');
        case 4
            axes(handles.axes2_riskband4);
            set(handles.axes2_riskband4, 'Visible', 'on');
        case 5
            axes(handles.axes2_riskband5);
            set(handles.axes2_riskband5, 'Visible', 'on');
    end
    plot(XXSM2(6-i),1,'r*', 'linewidth', 2); hold on; grid on;
    plot([XXSL2(6-i) XXSR2(6-i)],[1 1], 'r-','linewidth',1.5); hold on;
    axis tight
    set(gca,'ytick',[]);
    axis([0,10,0.5,1.5]);
    
end

